package com.desfate.chart.ui.old.OTC.listener;

public class MessageEvent {
    private String SerialNumber;
    private int funCode;
    private String queryCommonId = "";
    private int retCode;
    private String retDesc;
    private Object messageInfo;

    private int builderType;//

    public String getSerialNumber() {
        return SerialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        SerialNumber = serialNumber;
    }

    public int getRetCode() {
        return retCode;
    }

    public void setRetCode(int retCode) {
        this.retCode = retCode;
    }

    public String getQueryCommonId() {
        return queryCommonId;
    }

    public void setQueryCommonId(String queryCommonId) {
        this.queryCommonId = queryCommonId;
    }

    public int getFunCode() {
        return funCode;
    }

    public void setFunCode(int funCode) {
        this.funCode = funCode;
    }

    /**
     * 下单类型
     * <li> 针对建仓和平仓的时，funCode的都是一样的。只能用builderType来实现区别判断
     * @return
     */
    public int getBuilderType() {
        return builderType;
    }

    public void setBuilderType(int builderType) {
        this.builderType = builderType;
    }

    public Object getMessageInfo(){
        return this.messageInfo;
    }

    public void setMessageInfo(Object message){
        this.messageInfo = message;
    }

    public String getRetDesc() {
        return retDesc;
    }

    public void setRetDesc(String retDesc) {
        this.retDesc = retDesc;
    }
}
